const path = require('path');
const devMode = process.env.NODE_ENV !== "production";

module.exports = {
	    devtool: "inline-source-map",
		mode: 'development',
		entry: path.resolve(__dirname, 'js/index.js'),
		output: {
				path: path.resolve(__dirname, 'public/js'),
				filename: 'npm.bundle.js'
		},
		module: {
				rules: [{
						test: /\.(sa|sc|c)ss$/i,
						use: [devMode ? "style-loader" : MiniCssExtractPlugin.loader, "css-loader", "postcss-loader", "sass-loader"]
				}]
		}
};

