package MyRedland::Product;

use v5.34.1;

use strict;
use warnings;

use Moo;
use Types::Standard qw/Str Int/;

has name => (
	is => 'ro',
	isa => Str,
	required => 1,
);

has id => (
	is => 'ro',
	isa => Str,
	required => 1,
);

has description => (
	is => 'ro',
	isa => Str,
	required => 1,
);

has price => (
	is => 'ro',
	isa => Int,
	required => 1,
);

has period => (
	is => 'ro',
	isa => Str,
	required => 1,
);
1;
